Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal.functions
Class BigDecPow

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.BinaryFunction
              com.singularsys.jep.bigdecimal.functions.BigDecPow

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class BigDecPow

extends BinaryFunction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`BigDecPow(java.math.MathContext mc)`

Method Summary
`java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`
`java.math.MathContext` | `getMathContext()`
`void` | `setMathContext(java.math.MathContext mc)`

Methods inherited from class com.singularsys.jep.functions.BinaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecPow

    public BigDecPow(java.math.MathContext mc)

Parameters:
  `mc` -

Method Detail

### eval

    public java.lang.Object eval(java.lang.Object l,
                                 java.lang.Object r)
                          throws EvaluationException

  Specified by:
    `eval` in class `BinaryFunction`
  Throws:
    `EvaluationException`

### getMathContext

    public java.math.MathContext getMathContext()

### setMathContext

    public void setMathContext(java.math.MathContext mc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep